Skip to content
Dashboard

Bulk update admin workload state

PATCH/v2/admins/bulk

Atomically updates away state or assignment limits for up to 50 admins. One request performs one operation type. Assignment-limit operations require an explicit paused value.

Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-08-19.orbit" or "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-08-19.orbit"
"2026-01-01.nova"
"2025-12-12.clover"
Body ParametersJSONExpand Collapse
body: object { adminIds, enabled, operation, 2 more } or object { adminIds, operation, paused, 2 more }
One of the following:
object { adminIds, enabled, operation, 2 more }
adminIds: array of string
enabled: boolean
operation: "away"
awayReasonId: optional string
reassignReplies: optional boolean
object { adminIds, operation, paused, 2 more }
adminIds: array of string
operation: "assignment_limit"
paused: boolean
limit: optional number
minimum1
maximum1000000
mode: optional "inherit" or "custom" or "unlimited"
One of the following:
"inherit"
"custom"
"unlimited"
ReturnsExpand Collapse
data: array of object { adminId, assignmentLimit, availability, object }
adminId: string
assignmentLimit: AssignmentLimit { adminId, effectiveLimit, limit, 3 more }
adminId: string
effectiveLimit: number
limit: number
mode: "inherit" or "custom" or "unlimited"
One of the following:
"inherit"
"custom"
"unlimited"
object: "assignment_limit"
paused: boolean
availability: AdminAvailability { adminId, automatic, away, 5 more }
adminId: string
automatic: boolean
away: boolean
changedAt: string
formatdate-time
lastActiveAt: string
formatdate-time
object: "admin_availability"
reason: object { id, label }
id: string
label: string
reassignReplies: boolean
object: "admin_workload_state"
object: "bulk_result"
operation: "away" or "assignment_limit"
One of the following:
"away"
"assignment_limit"
updatedCount: number
minimum0

Bulk update admin workload state

curl https://do.featurebase.app/v2/admins/bulk \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY" \
    -d '{
          "adminIds": [
            "string"
          ],
          "enabled": true,
          "operation": "away"
        }'
{
  "data": [
    {
      "adminId": "adminId",
      "assignmentLimit": {
        "adminId": "adminId",
        "effectiveLimit": 0,
        "limit": 0,
        "mode": "inherit",
        "object": "assignment_limit",
        "paused": true
      },
      "availability": {
        "adminId": "adminId",
        "automatic": true,
        "away": true,
        "changedAt": "2019-12-27T18:11:19.117Z",
        "lastActiveAt": "2019-12-27T18:11:19.117Z",
        "object": "admin_availability",
        "reason": {
          "id": "id",
          "label": "label"
        },
        "reassignReplies": true
      },
      "object": "admin_workload_state"
    }
  ],
  "object": "bulk_result",
  "operation": "away",
  "updatedCount": 0
}
Returns Examples
{
  "data": [
    {
      "adminId": "adminId",
      "assignmentLimit": {
        "adminId": "adminId",
        "effectiveLimit": 0,
        "limit": 0,
        "mode": "inherit",
        "object": "assignment_limit",
        "paused": true
      },
      "availability": {
        "adminId": "adminId",
        "automatic": true,
        "away": true,
        "changedAt": "2019-12-27T18:11:19.117Z",
        "lastActiveAt": "2019-12-27T18:11:19.117Z",
        "object": "admin_availability",
        "reason": {
          "id": "id",
          "label": "label"
        },
        "reassignReplies": true
      },
      "object": "admin_workload_state"
    }
  ],
  "object": "bulk_result",
  "operation": "away",
  "updatedCount": 0
}